#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int K,x=0,y=0;
    scanf("%d",&K);
    printf("%d\n",K*3);
    for(int i=1;i<=K*3;i++)
    {
        printf("%d %d\n",x,y);
        x++;
        if(i%3==0)
        {
            y++;
            x++;
        }
    }
    return 0;
}